.forum-section {
    @apply relative flex flex-col flex-1 items-center p-6 mb-10;
}

.forum-container {
    @apply flex flex-row flex-wrap mx-auto;
}

.forum-category-content {
    @apply items-start justify-start;
}

.forum-category-body {
    @apply block justify-start items-start p-0 h-full;
}

.forum-board {
    @apply table table-fixed w-full h-full relative;
}

.forum-board-icon {
    @apply relative z-20 table-cell w-20 p-2 pr-0 text-center align-middle;

    a {
        img {
            @apply  w-12 h-12 align-middle m-auto;
        }
    }
}

.forum-board-info {
    @apply relative z-20 table-cell p-2 align-middle text-white text-sm;
}

.forum-board-info-title {
    @apply text-base;
}

.forum-board-last-thread {
    @apply relative z-20 hidden w-80 p-2 align-middle text-white overflow-hidden text-right;

    @screen md {
        @apply table-cell;
    }
}

.forum-board-last-thread-avatar {
    @apply relative z-20 hidden w-20 p-2 align-middle text-white overflow-hidden text-right;

    @screen md {
        @apply table-cell;
    }

    a {
        div {
            @apply w-12 h-12 ml-auto shadow;

            img {
                @apply rounded;
            }
        }
    }
}


.forum-widget {
    @apply table table-fixed w-full h-full;
}

.forum-widget-body {
    @apply block justify-start items-start p-0 h-full;
}

.forum-widget-icon {
    @apply table-cell p-2 w-16 text-center align-middle;

    a {
        div {
            @apply w-12 h-12;

            img {
                @apply rounded;
            }
        }
    }
}

.forum-widget-info {
    @apply table-cell p-2 align-middle text-white text-sm;
}

.forum-widget-info-title {
    @apply table-cell p-2 align-middle text-white text-sm;

    h3 {
        @apply text-base truncate;

        a {
            @apply text-primary-500;
        }
    }
}

.forum-widget-info-details {

}

.forum-thread-body {
    @apply block justify-start items-start p-0 h-full;
}

.forum-thread {
    @apply table table-fixed w-full h-full;
}

.forum-thread-avatar {
    @apply table-cell w-20 p-2 pr-0 text-center align-middle;

    a {
        img {
            @apply w-12 h-12 align-middle m-auto rounded;
        }
    }
}

.forum-thread-info {
    @apply table-cell p-2 align-middle text-white text-sm;
}

.forum-thread-info__title {
    @apply text-base truncate text-neutral-100;
}

.forum-thread-stats {
    @apply table-cell p-2 align-middle text-white text-sm text-left w-40;
}

.forum-thread-last-comment {
    @apply relative hidden  w-80 p-2 align-middle text-white overflow-hidden text-right;

    @screen md {
        @apply table-cell;
    }
}

.post-container {
    @apply flex flex-col items-start justify-start;

    @screen md {
        @apply flex-row;
    }
}

.postbit-user {
    min-height: 460px;
    background-color: rgb(40, 40, 49);

    @apply block relative w-full p-4 align-top overflow-hidden;

    @screen md {
        width: 18rem;

        @apply h-full;
    }
}

.postbit-user-container {
    min-height: 460px;
    z-index: 0;

    @apply relative w-full w-full opacity-75 absolute top-0 left-0;
}

.postbit-user__cover {
    @apply absolute top-0 left-0 w-full h-full object-cover object-center;
}

.postbit-user-mask--small {
    @apply absolute inset-0 bg-cover;

    background-image: linear-gradient(rgba(41,41,51, 0.65) 0px, theme('colors.neutral.600') 460px);
}

.postbit-user-mask--large {
    @apply absolute inset-0 bg-cover;

    background-image: linear-gradient(rgba(41,41,51, 0) 350px, theme('colors.neutral.600') 460px);
}

.postbit-user-info {
    @apply relative z-20;
}

.postbit-user-info__details {
    @apply text-center mb-1;

    h4 {
        @apply font-display-1 font-bold text-xl mb-1 text-white;
    }

    a {
        @apply inline-block rounded shadow-lg h-24 w-24 overflow-hidden;

        .postbit-user-info__details__img {
            @apply block h-full w-full truncate;
        }
    }
}

.postbit-user__avatar {
    @apply text-center text-sm;
}

.postbit-user__tagline {
    @apply text-neutral-200 mb-4;
}


.postbit-user__avatar-container {
    img {
        @apply m-auto;
    }
}

.thread-container {
    @apply flex flex-col h-full w-full min-w-0 align-top p-4;
}

.thread-header {
    @apply flex items-center pb-2;
}

.thread-header__time {
    @apply text-neutral-200;
}

.thread-header__id {
    @apply ml-auto text-neutral-200;

    a {
        @apply transition-all transition-fast;

        &:hover {
            @apply text-white;
        }
    }
}

.thread-header__actions {
    @apply hidden ml-2;
}

.thread-content {
    @apply flex flex-col text-neutral-100;
}

.thread-footer {
    @apply block mt-auto py-4;
}

.thread-footer__content {
    @apply flex items-center w-full justify-end;
}
